alloc_etherdev_mq
Prev | Driver Support | Next

## Name

alloc_etherdev_mq — Allocates and sets up an Ethernet device

## Synopsis

`struct net_device * alloc_etherdev_mq (` | int | sizeof_priv,
| unsigned int | queue_count`)`;

## Arguments

`sizeof_priv`

  Size of additional driver-private structure to be allocated for this Ethernet device

`queue_count`

  The number of queues this device has.

## Description

Fill in the fields of the device structure with Ethernet-generic values. Basically does everything except registering the device.

Constructs a new net device, complete with a private data area of size (sizeof_priv). A 32-byte (not bit) alignment is enforced for this private data area.

Prev | Up | Next
ether_setup | Home | is_zero_ether_addr